package com.micer.easyball.pojo.Dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.micer.easyball.pojo.Game;
import com.micer.easyball.pojo.GamePlayer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class GamePlayerDto extends GamePlayer{

    /**
     * 球员名
     */
    private String playerName;


    public GamePlayerDto(GamePlayer gamePlayer)
    {
        this.setPlayerId(gamePlayer.getPlayerId());
        this.setGoal(gamePlayer.getGoal());
        this.setAssist(gamePlayer.getAssist());
        this.setIsMVP(gamePlayer.getIsMVP());
        this.setGoal(gamePlayer.getGoal());
        this.setPlayerName("");
    }

}
